APICoding agent
Start a coding agent run
Hand an issue to the coding agent, which writes code and opens a pull request. Requires Cursor Cloud connected with a repository.
POST
/coding-agent/runscurl -X POST "https://productlane.com/api/v2/coding-agent/runs" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"issue_id": "string"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Body
application/json
issue_idstringrequiredProductlane issue id to hand to the agent.
Response
application/json
Successful response
idstringrequiredstatusstringrequiredPENDING, RUNNING, COMPLETED, FAILED, or STOPPED.
status_changed_atstringrequiredissue_idstring | nullrequiredrepositorystringrequiredbranch_namestring | nullrequiredpr_urlstring | nullrequiredsummarystring | nullrequirederror_messagestring | nullrequiredtrigger_sourcestringrequiredproviderstringrequiredcreated_atstringrequiredupdated_atstringrequired
{
"id": "string",
"status": "string",
"status_changed_at": "string",
"issue_id": "string",
"repository": "string",
"branch_name": "string",
"pr_url": "string",
"summary": "string",
"error_message": "string",
"trigger_source": "string",
"provider": "string",
"created_at": "string",
"updated_at": "string"
}